<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE rmi PUBLIC "-//BEA Systems, Inc.//RMI Runtime DTD 1.0//EN" "rmi.dtd">
<rmi
    name="w05bLiquidacionesSesionEJB.W05bLiquidacionesSesion_h6ptio_EOImpl"
    enable-call-by-reference="false"
>
<cluster
    clusterable="true"
    propagate-environment="true"
>
</cluster>

<lifecycle
    dgc-policy="managed"
>
</lifecycle>

<method
    name="crearFactura(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getListadoSeguimiento(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getListadoIngresos(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getListadoComparativaServicios(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getListadoEmitidoVsCobrado(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getListadoAnuladas(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleLiquidacion(java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="anexarFactura(es.ejie.w05b.beans.liquidaciones.W05bLiquidacion)"
    requires-transaction="true"
>
</method>
<method
    name="modificarFacturaAnexada(es.ejie.w05b.beans.liquidaciones.W05bLiquidacion)"
    requires-transaction="true"
>
</method>
<method
    name="anexarCartaPago(es.ejie.w05b.beans.liquidaciones.W05bLiquidacion)"
    requires-transaction="true"
>
</method>
<method
    name="modificarCartaPagoAnexada(es.ejie.w05b.beans.liquidaciones.W05bLiquidacion)"
    requires-transaction="true"
>
</method>
<method
    name="getLiquidacionIVA(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="rechazarAnulacion(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="anularFactura(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="devolverIngreso(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="pedirAnulacion(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getListadoObservaciones(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleObservacion(java.lang.String,java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="modificarObservacion(es.ejie.w05b.beans.liquidaciones.W05bObservacion,java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="insertarObservacion(es.ejie.w05b.beans.liquidaciones.W05bObservacion,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="eliminarObservacion(es.ejie.w05b.beans.liquidaciones.W05bObservacion,java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleEFactura(java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="getConfirmarEFactura(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="subirDocumentoConcepto(es.ejie.w05b.beans.liquidaciones.W05bEFactura)"
    requires-transaction="true"
>
</method>
<method
    name="insertarResultadoEFactura(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getListadoDocumentosConceptos(java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="eliminarDocumentoEFactura(java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="generarFacturaE(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDatosConfirmarEFactura(java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="guardarVariablesLiquidacion(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="guardarEstadoLiquidacion(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="guardarRefExpediente(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="validarEFactura(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="guardarCartaPago(es.ejie.w05b.beans.W05bDocumento)"
    requires-transaction="true"
>
</method>
<method
    name="generarFacturaEAdjuntos(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="forzarAnulacion(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getEJBHome()"
    requires-transaction="true"
>
</method>
<method
    name="getPrimaryKey()"
    requires-transaction="true"
>
</method>
<method
    name="remove()"
    requires-transaction="true"
>
</method>
<method
    name="getHandle()"
    requires-transaction="true"
>
</method>
<method
    name="isIdentical(javax.ejb.EJBObject)"
    requires-transaction="true"
>
</method>

<security
    client-authentication="supported"
    client-cert-authentication="supported"
    identity-assertion="supported"
    confidentiality="supported"
    integrity="supported"
>
</security>

</rmi>
